float4x4 projMat;

struct VS_DEFAULT_OUTPUT 
{
   float4 position: POSITION;
   //float2 texture_coord: TEXCOORD0;
   //float4 color: COLOR0;
};

VS_DEFAULT_OUTPUT main(float2 position: POSITION)//, float2 texCoord: TEXCOORD0, float4 color: COLOR0)//half2
{
	VS_DEFAULT_OUTPUT Out;
	Out.position = mul(projMat, float4(position.x, position.y, 0.f, 1.f));
	//Out.texture_coord = texCoord;
	//Out.color = color;
	
	return Out;
}